Skip to Content
BusinessTransactions

Update Transactions for a Business

PATCH
/v0/business/{business_id}/transactions

Update one or more Transactions. Each item may change the date, description, amount, merchant, the type, reviewed or status flags, merge tags, or set line_items to recategorize the Transaction (a single line item) or split it across categories (several). A new date or description is applied to the Journal Entries derived from the Transaction as well.

Scopes: transaction:update

Authorization

OAuth2ClientCredentialsBearer transaction:update
headerAuthorizationBearer <token>

Scope: transaction:update

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Header Parameters

x-user-id?string|null

Request Body

application/json
  1. body
[index: integer]?

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X PATCH 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/transactions' \  -H 'Content-Type: application/json' \  -d '[  {    "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo"  }]'
Example Response
[  {    "external_id": "1234567890",    "amount": 520.56,    "datetime": "2019-08-24T14:15:22Z",    "description": "Payment from Acme Corp",    "posted": true,    "type": "business",    "reviewed": true,    "metadata_": {},    "id": "txn_WQMDNUHpBThYSNh4AprDBo",    "external_account_id": "eac_WQMDNUHpBThYSNh4AprDBo",    "merchant": "Amazon",    "category": [      {        "amount": "89.23",        "name": "Office Supplies"      }    ],    "status": "confirmed",    "line_items": [      {        "id": "le_GA6EG2qFxA97NZHtxeLPUy",        "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",        "category": "Office Supplies",        "description": "Office Supplies",        "amount": -89.23      }    ],    "invoice_payments": null,    "refund_payments": null,    "bill_payments": null,    "tags": {      "Job": [        {          "amount": "3000.00",          "value": "Maple Street Remodel"        },        {          "amount": "1500.00",          "value": "Downtown Office Rewire"        }      ]    }  }]